<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetString Method (IEdmMenu5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmMenu5 Interface : GetString Method (IEdmMenu5)

Visual Basic
C#
C++/CLI

lItemID
  ID of menu item for which to get a string

eType
  Type of string to get as defined in EdmMenuStrType

Gets a string for a menu item in this menu.

# Syntax

Visual Basic |
--- | ---

    Function GetString( _
       ByVal lItemID As System.Integer, _
       ByVal eType As EdmMenuStrType _
    ) As System.String

C# |
--- | ---

    System.string GetString(
       System.int lItemID,
       EdmMenuStrType eType
    )

C++/CLI |
--- | ---

    System.String^ GetString(
    &   System.int lItemID,
    &   EdmMenuStrType eType
    )

#### Parameters

lItemID
  ID of menu item for which to get a string
eType
  Type of string to get as defined in EdmMenuStrType

#### Return Value

String (see Remarks)

# Remarks

C++ programmers must free the returned string with SysFreeString.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmMenu5 Interface
IEdmMenu5 Members
IEdmMenu6::GetItems Method ()

# Availability

Version 5.2 of SOLIDWORKS PDM Professional